Bug 386721 - socket operation on non-socket
socket operation on non-socket
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 08:27 EST by Alexander Lukyanov
Modified: 2009-01-09 02:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:26:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Lukyanov 2007-11-16 08:27:25 EST
Description of problem:
I get this error after upgrade from fc7 to fc8 during amcheck (and the actual
backup does not work):
WARNING: swing: selfcheck request failed: error sending REQ: send REQ to
swing.yars.free.net failed: Socket operation on non-socket

Version-Release number of selected component (if applicable):
amanda-2.5.2p1-8.fc8

How reproducible:
always

Additional info:
strace shows that amanda tries to do sendto on file descriptor 0 (zero), and I
could not find any relevant socket call (except those for DNS queries).
sendto(0, "Amanda 2.5 REQ HANDLE 000-000000"..., 125, 0, {sa_family=AF_INET6,
sin6_port=htons(10080), inet_pton(AF_INET6, "::ffff:193.233.48.88", &sin6_addr),
sin6_flowinfo=0, sin6_scope_id=0}, 28) = -1 ENOTSOCK (Socket operation on
non-socket)
Comment 1 Radek Brich 2007-11-19 06:21:08 EST
Could you send your configuration? What auth/tpchanger do you use? I need more
information to reproduce this. Thanks.
Comment 2 Bill Ralph 2008-01-31 13:11:26 EST
(In reply to comment #1)

I encountered the same problem. I believe the answer lies in having a kernel
that does not support IPv6. When I rebuilt amanda with the "--without-ipv6"
configuration option, the amcheck error went away. I normally build customized
kernels without IPv6 since we don't use it at the moment.


Comment 3 Alexander Lukyanov 2008-02-01 00:25:58 EST
I also have a custom kernel without ipv6, so this must be the problem.
Comment 5 Bug Zapper 2008-11-26 03:29:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:26:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.